Part of the Khronos Group
OpenGL.org

The Industry's Foundation for High Performance Graphics

from games to virtual reality, mobile phones to supercomputers

Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: Runtime error: can't find libGLEW.so.1.10 in /usr/lib64 directory

  1. #11
    Intern Contributor
    Join Date
    Dec 2010
    Posts
    57
    Quote Originally Posted by thokra View Post
    sudo apt-get install libglew-dev

    (since quantal. before it'd be libglew1.6-dev or libglew1.5-dev)
    Err, yeah I was about to do this, but I realized I don't know how to revert what I've done by running make install with the glew makefile... It's working for now, should I just leave it, or try and clean up before doing the proper package install?

    Update:

    Ok I was able to do 'sudo make uninstall' and install with apt. Thanks!
    Last edited by PrestoChung; 08-31-2013 at 01:48 AM.

  2. #12
    Senior Member OpenGL Pro
    Join Date
    Apr 2010
    Location
    Germany
    Posts
    1,128
    Just to spare you further confusion, read up on makefiles. It's very advantageous to at least understand how to use them.

  3. #13
    Member Regular Contributor
    Join Date
    Jun 2013
    Posts
    495
    Quote Originally Posted by PrestoChung View Post
    Silly me, I didn't even search for glew packages. I'm guessing the one I wanted was libglew-dev.
    For development, you typically need both the "base" package (e.g. libglew) and the -dev package (e.g. libglew-dev), although installing the latter will probably install the former automatically. End users will only need the base package to run the program.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •